com.pb.lisdk.grid

## Interface IGridCell

All Known Subinterfaces:
  IHierarchicalGridCell

All Known Implementing Classes:
  GeoHash, H3, Hexagon, Square

    public interface IGridCell

Represents a cell in a grid.

### Method Summary

All Methods Instance Methods Abstract Methods
`IFeatureGeometry` `asFeatureGeometry()` Get the cell boundary as a geometry
`Envelope` `getBounds()` Get the bounds of the grid cell.
`String` `getHash()` Get the well-known string ID for the grid cell.

### Method Detail

#### getHash

    String getHash()

Get the well-known string ID for the grid cell.

#### getBounds

    Envelope getBounds()

Get the bounds of the grid cell.

#### asFeatureGeometry

    IFeatureGeometry asFeatureGeometry()

Get the cell boundary as a geometry